small medium large xlarge

Cover_pragsmall
27 Jan 2012, 14:24
Jimmy Casey (4 posts)

I’ve stepped back from Rails for a couple of months and I’ve had all kinds of problems getting things to work, I’m on Ubuntu (10.04)…regardless, for Chapter 2 Instant Gratification I am getting this error, when going to http://localhost:3000/say/hello:

ExecJS::RuntimeError in Say#hello

I’ve read somewhere that you need JavaScript Runtime installed but I already JS runtime installed, here is my “rake about”. I’m clueless on how to fix this, could anyone help me out?

rake about About your application’s environment Ruby version 1.9.2 (i686-linux) RubyGems version 1.8.15 Rack version 1.4 Rails version 3.2.0 JavaScript Runtime Node.js (V8) Active Record version 3.2.0 Action Pack version 3.2.0 Active Resource version 3.2.0 Action Mailer version 3.2.0 Active Support version 3.2.0

thanks in advance, jim

Cover_pragsmall
27 Jan 2012, 14:59
Jimmy Casey (4 posts)

Problem solved. Had to go into the Gem file and uncomment @gem therubyracer@ then @bundle install@

You must be logged in to comment